Bug 83798 - Chapter numbers (Outline numbering) not included in Table of Contents (TOC)
Summary: Chapter numbers (Outline numbering) not included in Table of Contents (TOC)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: highest critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords: bisected, regression
Depends on:
Blocks: mab4.4
  Show dependency treegraph
 
Reported: 2014-09-12 12:32 UTC by Cor Nouws
Modified: 2015-07-09 13:21 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with TOC etc (41.45 KB, application/vnd.oasis.opendocument.text)
2014-09-12 12:34 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2014-09-12 12:32:49 UTC
Document with some paragraphs Heading1, Heading2
set numbering in Tools > Outline numbering
 > Document shows numbering
Insert TOC (Insert > Indexes and Tables > Indexes and Tables ..)
Make sure that at the tab Entries the E# (for Chapter No) is placed at the Structure line 
OK
 > No numbering in TOC

I'll attach a sample document
Comment 1 Cor Nouws 2014-09-12 12:34:39 UTC
Created attachment 106176 [details]
test file with TOC etc

I work on Ubuntu 32 bits

Version: 4.4.0.0.alpha0+
Build ID: 8e4defe4b59a72fbe82f94b26e233ba36640c739
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-02_01:46:56
Comment 2 Jean-Baptiste Faure 2014-09-14 17:43:32 UTC
Reproducible for me with 
Version: 4.4.0.0.alpha0+
Build ID: a65459eae58f342787abe4c766912f964a8383be
built at home under Ubuntu 14.04 x86-64

With LO 4.3.3.0.0+ updating the TOC shows the chapter numbering in the TOC.

Best regards. JBF
Comment 3 geraldg 2014-11-22 12:03:21 UTC
Still exist in 4.4 beta1
Comment 4 Buovjaga 2014-11-22 12:10:20 UTC
(In reply to geraldg from comment #3)
> Still exist in 4.4 beta1

The version field is for the oldest version the bug was reproduced in, so I changed it back.
Comment 5 geraldg 2014-11-22 16:43:55 UTC
Thanks
Comment 6 Michael Stahl (CIB) 2014-11-25 22:42:22 UTC
bibisect range:
f7fac105102c6df21242dc30ee7174aee6507bb3..baf7b38e387b857c46dbe3d01cde166a7381bf63

regression from:

commit 0a1b1511faaa3302429d93ccdad3eb41dc8f36cb
Author:     Tobias Lippert <drtl@fastmail.fm>
AuthorDate: Sun Jun 1 14:24:51 2014 +0200
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Fri Jun 6 12:19:12 2014 +0000

    Unittest generation of text for chapter entries in the TOC

commit 26259e0cca3bc4d8f45337b0cafea2eed8eb32f9
Author:     Tobias Lippert <drtl@fastmail.fm>
AuthorDate: Sun Jun 1 14:22:48 2014 +0200
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Fri Jun 6 08:08:08 2014 +0000

    Unittest generation of page number placeholders in table of contents


... ehhh ... so presumably we need better unit tests :)

fixed on master
Comment 7 Commit Notification 2014-11-25 22:43:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ba1f8e19efd208cb791bc3c51731d9287074b54

fdo#83798: sw: fix generation of ToX with chapter numbers

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-11-25 22:44:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15156e06c9a3a73a375445955265999731800458&h=libreoffice-4-4

fdo#83798: sw: fix generation of ToX with chapter numbers

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-06-25 19:21:30 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8228c4950eda9310382c8f773ade578367ca501

Add test for tdf#83798 ToC missing chapter numbers

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.